/**
 * Created by andre on 2019-08-20
 */
Ext.define("demo.view.components.BpcFields", {
   extend : "Ext.panel.Panel",
   alias  : "widget.demoBpcFields",

   title  : "BPC Eingabe Felder",
   layout : {
      type  : "vbox",
      align : "stretch"
   },
    
   scrollable : true,
    
   items : [
      {
         html : "BPC Fields try to avoid XSS by escaping user input."
      },
      {
         xtype      : "textfield",
         fieldLabel : "Default Textfield"
      },
      {
         xtype      : "bpcTextField",
         fieldLabel : "BPC Textfield"
      },
      {
         xtype      : "textarea",
         fieldLabel : "Default Textarea"
      },
      {
         xtype      : "bpcTextArea",
         fieldLabel : "BPC Textarea"
      },
      {
         xtype      : "datefield",
         fieldLabel : "Default Datefield"
      },
      {
         xtype      : "bpcDateField",
         fieldLabel : "BPC Datefield"
      },
      {
         xtype        : "combobox",
         fieldLabel   : "Default Combobox",
         queryMode    : "local",
         displayField : "name",
         valueField   : "abbr",
         store        : [
            {
               abbr : "AL",
               name : "<b>fett</b>"
            },
            {
               abbr : "AK",
               name : "<i>Alaska</i>"
            },
            {
               abbr : "AZ",
               name : "&lt;b&gt;fettEscaped&lt;/b&gt;"
            }
         ]
      },
      {
         xtype        : "bpcComboBox",
         fieldLabel   : "BPC Combobox",
         queryMode    : "local",
         displayField : "name",
         valueField   : "abbr",
         store        : [
            {
               abbr : "AL",
               name : "<b>fett</b>"
            },
            {
               abbr : "AK",
               name : "<i>Alaska</i>"
            },
            {
               abbr : "AZ",
               name : "&lt;b&gt;fettEscaped&lt;/b&gt;"
            }
         ]
      },
      {
         xtype        : "bpcTextField",
         fieldLabel   : "Icon in emptyText",
         emptyText    : "empty",
         emptyIconCls : "x-fal fa-save",
         plugins      : [
            {
               ptype : "bpcInputField"
            }
         ]
      },
      {
         xtype        : "bpcComboBox",
         fieldLabel   : "Icon in emptyText",
         emptyText    : "empty",
         emptyIconCls : "x-fal fa-save",
         plugins      : [
            {
               ptype : "bpcInputField"
            }
         ]
      },
      {
         xtype        : "bpcComboRenderedValue",
         displayField : "label",
         valueField   : "value",
         fieldLabel   : "Html Rendering Combobox",
         emptyText    : "Es wurden keine Daten ausgewählt",
         value        : "",
         store        : [
            {
               label : "Gesamtansicht",
               value : "allView",
            },
            {
               label : "<span class='x-fal fa-info-circle' style='color:green'></span>  INFO",
               value : "infoView",
            },
            {
               label : "<span class='x-fal fa-info-circle' style='color:#D49A6A'></span> DEBUG",
               value : "debugView",
            },
            {
               label : "<span class='x-fal fa-exclamation-circle' style='color:#CB0E1E'></span> ERROR",
               value : "errorView",
            },
            {
               label : "<span class='x-fal fa-exclamation-triangle' style='color:#D49A6A'></span> WARNING",
               value : "warningView",
            }
         ]
      }
   ]
    
});